Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HorizontalSplitPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SplitPanel
                      com.google.gwt.user.client.ui.HorizontalSplitPanel

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, java.lang.Iterable<Widget>

Deprecated. Use `SplitLayoutPanel` instead, but understand that it is not a drop in replacement for this class. It requires standards mode, and is most easily used under a `RootLayoutPanel` (as opposed to a `RootPanel`

    @Deprecated
    public final class HorizontalSplitPanel

extends SplitPanel

A panel that arranges two widgets in a single horizontal row and allows the user to interactively change the proportion of the width dedicated to each of the two widgets. Widgets contained within a `HorizontalSplitPanel` will be automatically decorated with scrollbars when necessary.

This widget will only work in quirks mode. If your application is in Standards Mode, use `SplitLayoutPanel` instead.

### CSS Style Rules

- .gwt-HorizontalSplitPanel { the panel itself }
- .gwt-HorizontalSplitPanel hsplitter { the splitter }

See Also:
  `SplitLayoutPanel`

Nested Class Summary
`static interface` | `HorizontalSplitPanel.Resources` Deprecated. The default resources used by this widget.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`HasWidgets.ForIsWidget`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.Widget
`eventsToSink`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

Constructor Summary
`HorizontalSplitPanel()` Deprecated.
`HorizontalSplitPanel(HorizontalSplitPanel.Resources resources)` Deprecated. Creates an empty horizontal split panel.
`HorizontalSplitPanel(HorizontalSplitPanelImages images)` Deprecated. replaced by `HorizontalSplitPanel(Resources)`

Method Summary
`void` | `add(Widget w)` Deprecated. Adds a widget to a pane in the HorizontalSplitPanel.
`Widget` | `getEndOfLineWidget()` Deprecated. Gets the widget in the pane that is at the end of the line direction for the layout.
`Widget` | `getLeftWidget()` Deprecated. Gets the widget in the left side of the panel.
`Widget` | `getRightWidget()` Deprecated. Gets the widget in the right side of the panel.
`Widget` | `getStartOfLineWidget()` Deprecated. Gets the widget in the pane that is at the start of the line direction for the layout.
`protected void` | `onEnsureDebugId(java.lang.String baseID)` Deprecated. Affected Elements: -splitter = the container containing the splitter element. -right = the container on the right side of the splitter. -left = the container on the left side of the splitter.
`protected void` | `onLoad()` Deprecated. This method is called immediately after a widget becomes attached to the browser's document.
`(package private) void` | `onSplitterResize(int x, int y)` Deprecated. Called on each mouse drag event as the user is dragging the splitter.
`(package private) void` | `onSplitterResizeStarted(int x, int y)` Deprecated. Called when the user starts dragging the splitter.
`protected void` | `onUnload()` Deprecated. This method is called immediately before a widget will be detached from the browser's document.
`void` | `setEndOfLineWidget(Widget w)` Deprecated. Sets the widget in the pane that is at the end of the line direction for the layout.
`void` | `setLeftWidget(Widget w)` Deprecated. Sets the widget in the left side of the panel.
`void` | `setRightWidget(Widget w)` Deprecated. Sets the widget in the right side of the panel.
`void` | `setSplitPosition(java.lang.String pos)` Deprecated. Moves the position of the splitter.
`void` | `setStartOfLineWidget(Widget w)` Deprecated. Sets the widget in the pane that is at the start of the line direction for the layout.

Methods inherited from class com.google.gwt.user.client.ui.SplitPanel
`addAbsolutePositoning, addClipping, addScrolling, expandToFitParentUsingCssOffsets, expandToFitParentUsingPercentages, getElement, getOffsetHeight, getOffsetWidth, getSplitElement, getWidget, isResizing, iterator, onBrowserEvent, preventBoxStyles, remove, setBottom, setClassname, setHeight, setLeft, setRight, setTop, setWidget, setWidth`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, clear, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HorizontalSplitPanel

    public HorizontalSplitPanel()

  Deprecated.

### HorizontalSplitPanel

    @Deprecated
    public HorizontalSplitPanel(HorizontalSplitPanelImages images)

  Deprecated. replaced by `HorizontalSplitPanel(Resources)`

  Creates an empty horizontal split panel.

  Parameters:
    `images` - ImageBundle containing an image for the splitter's drag thumb

### HorizontalSplitPanel

    public HorizontalSplitPanel(HorizontalSplitPanel.Resources resources)

  Deprecated.
  Creates an empty horizontal split panel.

  Parameters:
    `resources` - ClientBundle containing an image for the splitter's drag thumb

Method Detail

### add

    public void add(Widget w)

  Deprecated.
  Adds a widget to a pane in the HorizontalSplitPanel. The method will first attempt to add the widget to the left pane. If a widget is already in that position, it will attempt to add the widget to the right pane. If a widget is already in that position, an exception will be thrown, as a HorizontalSplitPanel can contain at most two widgets. Note that this method is bidi-sensitive. In an RTL environment, this method will first attempt to add the widget to the right pane, and if a widget is already in that position, it will attempt to add the widget to the left pane.

  Specified by:
    `add` in interface `HasWidgets`
  Overrides:
    `add` in class `SplitPanel`
  Parameters:
    `w` - the widget to be added
  Throws:
    `java.lang.IllegalStateException`
  See Also:
    `HasWidgets.add(Widget)`

### getEndOfLineWidget

    public Widget getEndOfLineWidget()

  Deprecated.
  Gets the widget in the pane that is at the end of the line direction for the layout. That is, in an RTL layout, gets the widget in the left pane, and in an LTR layout, gets the widget in the right pane.

  Returns:
    the widget, `null` if there is not one.

### getLeftWidget

    public Widget getLeftWidget()

  Deprecated.
  Gets the widget in the left side of the panel.

  Returns:
    the widget, `null` if there is not one.

### getRightWidget

    public Widget getRightWidget()

  Deprecated.
  Gets the widget in the right side of the panel.

  Returns:
    the widget, `null` if there is not one.

### getStartOfLineWidget

    public Widget getStartOfLineWidget()

  Deprecated.
  Gets the widget in the pane that is at the start of the line direction for the layout. That is, in an RTL environment, gets the widget in the right pane, and in an LTR environment, gets the widget in the left pane.

  Returns:
    the widget, `null` if there is not one.

### setEndOfLineWidget

    public void setEndOfLineWidget(Widget w)

  Deprecated.
  Sets the widget in the pane that is at the end of the line direction for the layout. That is, in an RTL layout, sets the widget in the left pane, and in and RTL layout, sets the widget in the right pane.

  Parameters:
    `w` - the widget

### setLeftWidget

    public void setLeftWidget(Widget w)

  Deprecated.
  Sets the widget in the left side of the panel.

  Parameters:
    `w` - the widget

### setRightWidget

    public void setRightWidget(Widget w)

  Deprecated.
  Sets the widget in the right side of the panel.

  Parameters:
    `w` - the widget

### setSplitPosition

    public void setSplitPosition(java.lang.String pos)

  Deprecated.
  Moves the position of the splitter. This method is not bidi-sensitive. The size specified is always the size of the left region, regardless of directionality.

  Specified by:
    `setSplitPosition` in class `SplitPanel`
  Parameters:
    `pos` - the new size of the left region in CSS units (e.g. "10px", "1em")

### setStartOfLineWidget

    public void setStartOfLineWidget(Widget w)

  Deprecated.
  Sets the widget in the pane that is at the start of the line direction for the layout. That is, in an RTL layout, sets the widget in the right pane, and in and RTL layout, sets the widget in the left pane.

  Parameters:
    `w` - the widget

### onEnsureDebugId

    protected void onEnsureDebugId(java.lang.String baseID)

  Deprecated.
  Affected Elements:
  - -splitter = the container containing the splitter element.
  - -right = the container on the right side of the splitter.
  - -left = the container on the left side of the splitter.

  Overrides:
    `onEnsureDebugId` in class `SplitPanel`
  Parameters:
    `baseID` - the base ID used by the main element
  See Also:
    `UIObject.onEnsureDebugId(String)`

### onLoad

    protected void onLoad()

  Deprecated.
  Description copied from class: `Widget`
  This method is called immediately after a widget becomes attached to the browser's document.

  Overrides:
    `onLoad` in class `Widget`

### onUnload

    protected void onUnload()

  Deprecated.
  Description copied from class: `Widget`
  This method is called immediately before a widget will be detached from the browser's document.

  Overrides:
    `onUnload` in class `Widget`

### onSplitterResize

    void onSplitterResize(int x,
                          int y)

  Deprecated.
  Description copied from class: `SplitPanel`
  Called on each mouse drag event as the user is dragging the splitter.

  Specified by:
    `onSplitterResize` in class `SplitPanel`
  Parameters:
    `x` - the x coordinate of the mouse relative to the panel's extent
    `y` - the y coordinate of the mosue relative to the panel's extent

### onSplitterResizeStarted

    void onSplitterResizeStarted(int x,
                                 int y)

  Deprecated.
  Description copied from class: `SplitPanel`
  Called when the user starts dragging the splitter.

  Specified by:
    `onSplitterResizeStarted` in class `SplitPanel`
  Parameters:
    `x` - the x coordinate of the mouse relative to the panel's extent
    `y` - the y coordinate of the mouse relative to the panel's extent

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD